Bug 265181 - Audigy SE soundcard detection fails
Audigy SE soundcard detection fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 16:40 EDT by mark bokil
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:31:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/root/scsconfig.log text file (62.16 KB, text/plain)
2007-08-29 16:40 EDT, mark bokil
no flags Details
scsconfig.log (Alsa play test sound failed!) (42.48 KB, patch)
2008-03-02 08:40 EST, Bobes Calin Ionut
no flags Details | Diff
scsrun.log (Alsa sound test failed) (3.70 KB, patch)
2008-03-02 08:43 EST, Bobes Calin Ionut
no flags Details | Diff

  None (edit)
Description mark bokil 2007-08-29 16:40:28 EDT
Description of problem:
After upgrading to an Audigy SE soundcard Fedora 7 sound was lost

Version-Release number of selected component (if applicable):
alsa-lib-1.0.14-3.fc7.src.rpm

How reproducible:
Install an Audigy SE card

Steps to Reproduce:
1. Install audigy se card
2. Run soundcard detection
3. Sound fails to play
  
Actual results:
sound fails to play

Expected results:
sound plays

Additional info:
cat /proc/asound/cards
 1 [CA0106         ]: CA0106 - CA0106
                      Audigy SE [SB0570] at 0xdc00 irq 11

cat /etc/modprobe.conf
alias eth0 8139too
alias scsi_hostadapter pata_via
alias scsi_hostadapter1 usb-storage
options snd cards_limit=8
alias snd-card-1 snd-ca0106
options snd-ca0106 index=1
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7

------- System Config Soundcard Log --------
Wed Aug 29 16:24:18 EDT 2007

aplay: main:545: audio open error: Device or resource busy
Running from command-line...
Comment 1 mark bokil 2007-08-29 16:40:28 EDT
Created attachment 179721 [details]
/root/scsconfig.log text file
Comment 2 mark bokil 2007-08-29 20:41:29 EDT
I did some research on this bug. Alsa's web site suggested recent changes to the
libraries would make the ca0106 cards work. I grabbed the alsa driver,library
and kernel from Fedora 8 repo. Upon reboot and running system-config-sound sound
was functional with the Audigy SE card on Fedora 7. The latest alsa driver fixed
the problem. 
Comment 3 Martin Stransky 2007-08-31 04:06:45 EDT
> aplay: main:545: audio open error: Device or resource busy

Your card looks occupied by another application....

Anyway, alsa-drivers should be the same in f7 and f8. So do the f8 packages work
for you and the f7 ones don't?
Comment 4 Bobes Calin Ionut 2008-03-02 08:40:00 EST
Created attachment 296510 [details]
scsconfig.log (Alsa play test sound failed!)

Fedora core 8 (Alsa test sound failed!)
Comment 5 Bobes Calin Ionut 2008-03-02 08:43:48 EST
Created attachment 296511 [details]
scsrun.log (Alsa sound test failed)

this is the second log generated by alsa sound test!
Comment 6 Martin Stransky 2008-03-04 07:15:24 EST
Which version of ALSA works for you? The current fedora version is 1.0.15, the
latest is 1.0.16.
Comment 7 Brian Powell 2008-04-25 00:31:31 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.